package br.exemploapplication;


import android.annotation.SuppressLint;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentTransaction;
import br.exemploapplication.fragment.FirstFragment;
import br.exemploapplication.fragment.SecondFragment;

import com.actionbarsherlock.app.ActionBar;
import com.actionbarsherlock.app.ActionBar.Tab;
import com.actionbarsherlock.app.ActionBar.TabListener;
import com.actionbarsherlock.app.SherlockFragmentActivity;

@SuppressLint("NewApi")
public class CustomActionBarActivity extends SherlockFragmentActivity {
	public static final String TAB_SELECTED = "tab_selected";
	
	private ActionBar ab;
	private boolean statusFrag;
	private int indexTab;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_custom_action_bar);
		
		ab = getSupportActionBar();
		
		// TABS
			statusFrag = true;
			ab.setNavigationMode(ActionBar.NAVIGATION_MODE_TABS);
			
			Tab tab1 = ab.newTab();
			tab1.setTabListener(new NavigationTabs(this, new FirstFragment()));
			tab1.setText("Tab 1");
			ab.addTab(tab1, false);
			
			Tab tab2 = ab.newTab();
			tab2.setTabListener(new NavigationTabs(this, new SecondFragment()));
			tab2.setText("Tab 2");
			ab.addTab(tab2, false);
			
			if(savedInstanceState != null){
				statusFrag = false;
				indexTab = savedInstanceState.getInt(TAB_SELECTED);
				ab.setSelectedNavigationItem(indexTab);
			}
			else{
				ab.setSelectedNavigationItem(indexTab);
			}
	}
	
	
	// TAB LISTENER
		private class NavigationTabs implements TabListener {
			private FragmentActivity activity;
			private Fragment frag;
			
			public NavigationTabs(FragmentActivity activity, Fragment frag){
				this.activity = activity;
				this.frag = frag;
			}
			@Override
			public void onTabReselected(Tab tab, FragmentTransaction ft) {}
			@Override
			public void onTabSelected(Tab tab, FragmentTransaction ft) {
				if(!statusFrag){
					frag = null;
				}
				else if(frag != null){
					FragmentTransaction fts = getSupportFragmentManager().beginTransaction();
					getSupportFragmentManager().popBackStack(null, getSupportFragmentManager().POP_BACK_STACK_INCLUSIVE);
					fts.setTransition(FragmentTransaction.TRANSIT_FRAGMENT_FADE);
					fts.replace(R.id.ll_data, frag);
					fts.commit();
				}
				statusFrag = true;
			}
			@Override
			public void onTabUnselected(Tab tab, FragmentTransaction ft) {
				if(frag != null){
					FragmentTransaction fts = getSupportFragmentManager().beginTransaction();
					fts.remove(frag);
					fts.commit();
				}
			}
		}
}
